<!DOCTYPE html>
<html>
<head>
	<title>动态路由的匹配</title>
	<script src="https://unpkg.com/vue"></script>
	<script src="https://unpkg.com/vue-router/dist/vue-router.js"></script>
</head>
<body>
	<div id="app">
		<h1>用户注册</h1>
		<p>
			<router-link to="/user/input/name">名字</router-link>
			<router-link to="/user/choose/address">地址</router-link>
		</p>
		<!-- 路由出口 -->
		<!-- 路由匹配到的组件将被渲染到这里 -->
		<router-view></router-view>
		
	</div>
	<script >
		//定义组件,用于匹配路由表展示
		//router-view展示你匹配到的组件
		const User = { template:`
				<div class="user">
					<h2>{{$route.params.id}}</h2>
					<router-view></router-view>
					<router-view name="country"></router-view>
					<router-view name="province"></router-view>
				</div>
			`};
		const name = { template:'<input type="text" placeholder="input your name...">'};
		const country = { template:
			`
				<select name="country">
					<option>China</option>
					<option>Japan</option>
					<option>Korea</option>
				<select>
			`
		};
		const province = {
			template:`
				<select name="province">
					<option>黑龙江</option>
					<option>北京</option>
					<option>东京</option>
					<option>青瓦台</option>
				<select>
			`
		};
		//定义路由表
		const routes = [
			/*$route.params对应的json*/
			/*path:'/user/:id/:name'*/
			/*User { "id": "foo", "name": "chen" }*/
			{ path:'/user/:id',component:User,
			  children: [
			  	{ path: 'name', component: name },
			  	{ path: 'address', components:{country:country,province:province}}
			  ]
			}
		] ;
		//创建router实例
		const router = new VueRouter({
			//按照当前路由表创建
			routes
		});
		//创建并挂载根实例
		//通过router注入全局路由
		const app = new Vue({
			router
		}).$mount('#app')
	</script>
</body>
</html>